<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /* Centrar texto*/
        * {
            text-align: center;
        }

        /* fondo gold*/
        header,
        .menu,
        .navbar,
        footer {
            background-color: gold;
        }

        /* fondo azul*/
        .mapa,
        .botones {
            background-color: aquamarine;
        }

        /* fondo gris*/
        .contenedor {
            background-color: grey;
        }

        /* Borde*/
        div,
        header,
        footer {
            border: 5px solid black;
        }

        /* Modificamos el header y el footer*/
        header,
        footer {
            width: 95%;
            margin-left: 2%;
            padding: 5px;
            height: 8vh;
            line-height: 70px;
        }

        /* Modificamos el main que alberga el menu y el contenedor*/
        .main {
            height: 70vh;
            margin: 10px 0;
            border: none;
            margin-left: 2%;
            margin-right: 2%;
        }

        /* Modificamos el menu*/
        .menu {
            float: left;
            width: 10%;
            height: 100%;
            line-height: 60px;
        }

        /* Modificamos el contenedor que alberga navbar y mapa*/
        .contenedor {
            float: right;
            width: 87%;
            height: 100%;
        }

        /* Modificamos el navbar*/
        .navbar {
            float: left;
            width: 95%;
            margin: 3% 1%;
            padding: 5px;
        }

        /* Modificamos los botones*/
        .botones {
            margin: 10px;
            float: left;
            width: 100px;
            padding: 5px;
        }

        /*Modificamos el span que contiene el texto del navbar*/
        span {
            float: left;
            position: relative;
            top: 20px;
            left: 20px;
        }

        /* Modificamos el div mapa*/
        .mapa {
            float: left;
            width: 90%;
            margin: 3% 4%;
            padding: 5px;
            height: 60%;
            line-height: 22.5rem;
        }

        /* Le ponemos margin al footer*/
        footer {
            margin-top: 2%;
        }
    </style>
</head>

<body>

    <header>
        header
    </header>
    <div class="main">
        <div class="menu">menu</div>
        <div class="contenedor">
            <div class="navbar">
                <div class="botones">tool1</div>
                <div class="botones">tool2</div>
                <div class="botones">tool3</div>
                <span>navbar with buttons</span>
            </div>
            <div class="mapa">map (through mapstraction if that matters)</div>
        </div>
    </div>
    <footer>footer</footer>
</body>

</html>